@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
}
body{
    min-height: 100vh;
    background: linear-gradient(#2b1055, #7597de);
    overflow-x: hidden;
}
header{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 30px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}
header .logo{
    color:#fff;
    font-weight: 700;
    text-decoration: none;
    font-size: 2em;
    text-transform: uppercase;
    letter-spacing: 2px;
    user-select: none;
}
header ul{
    display: flex;
    justify-content: center;
    align-items: center;
}
header ul li{
    list-style: none;
    margin-left: 20px;
}
header ul li a{
    text-decoration: none;
    padding: 6px 15px;
    color:#fff;
    border-radius: 20px;
    user-select: none;
}
header ul li a:hover, header ul li a.active{
    background: #fff;
    color: #2b1055;
}
section{
    position: relative;
    width: 100%;
    height: 100vh;
    padding: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
}
section::before{
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100px;
    background: linear-gradient(to top, #1c0522, transparent);
    z-index: 90;
}
section img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
}
section img#moon{
    mix-blend-mode: screen;
}
section img#mountains_front{
    z-index: 10;
}
#text{
    position: absolute;
    color: #fff;
    white-space: nowrap;
    font-size: 80px;
    right: -350px;
    z-index: 1;
    user-select: none;
}
#btn{
    text-decoration: none;
    padding: 8px 30px;
    border-radius: 40px;
    background: #fff;
    color: #2b1055;
    font-size: 1.5em;
    z-index: 1;
    transform: translateY(100px);
    user-select: none;
}
.sec{
    position: relative;
    padding: 100px;
    background: #1c0522;
    z-index: 8
}
.sec h2{
    font-size: 3.5em;
    margin-bottom: 50px;
    color: #fff;
}
.sec p{
    font-size: 1.2em;
    color: #fff;
}
@media screen and (max-width: 600px){
    header{
        display: block;
        text-align: center;
        font-size: 1.5em;
    }
    header ul{
        display: block;
        margin-top: 3vh;
    }
    header ul li{
        margin-top: 2vh;
        margin-left: 0;
    }
    #btn{
        text-align: center;
        margin-top: 5vh;
        margin-bottom: 3vh;
        font-weight: bold;
    }
    .sec{
        padding: 0;
        text-align: center;
    }
    .sec h2{
        text-align: center;
    }
    #text{
        right: auto;
    }
}